Compatibility with earlier versions

Preventive Service Planning


Abstract

IBM XL C/C++ for AIX V11.1 is compatible with earlier versions of the XL C/C++ compiler. Objects and libraries built with versions before V11.1 can be included in applications compiled with V11.1, with only one exception. This document provides details about the exception.

Content

Objects and libraries built with versions before IBM XL C/C++ for AIX V11.1 can be included in applications compiled with V11.1. The only exception is that if any objects or libraries use the OpenMP threadprivate variables and are compiled with XL C/C++ for AIX V10.1 or earlier, then any applications that use the same threadprivate variables in those objects or libraries and are compiled with V11.1 or later must be compiled with the -qsmp=noostls option.

The Backward compatibility issues section in the product documentation provides details about this issue.


Rate this page:

(0 users)Average rating

Add comments

Document information


More support for:

XL C/C++ for AIX
Compiler

Software version:

11.1

Operating system(s):

AIX

Reference #:

1572735

Modified date:

2011-11-24

Translate my page

Machine Translation

Content navigation